---
title: "The web is exhausting"
date: 2022-08-31T00:00:00
slug: the-web-is-exhausting

---
I’ve been using the web in some form for over 20 years - granted, the early parts of that were heavily monitored because I was about 5 years old when we got dialup. But, a large part of my formative years were spent online, and it was such a different place compared to how it is today.

I remember spending hours on different websites, which were mostly forums dedicated to a single topic, speaking with a variety of people (although the same few names were usually present). The web felt *huge* back then, a vast array of small communities. It feels like the total commercialisation of the web has taken that from us, though. I now visit maybe 3 websites regularly, and just endlessly, mindlessly doomscroll. I can honestly say that using the web these days is so much less exciting and fun compared to what it used to be.

It’s not just become exhausting as a consumer, though. A lot of the modern tooling available to web developers is overwhelmingly complicated. This post came about because I considered building a small web app using WebGL and Javascript - I decided I wanted a bit of type safety, and to use one library, (Three.js). Then I looked at the number of steps required just to get Typescript working nicely with ThreeJS and gave up. It shouldn’t be this hard to build web applications, I shouldn’t have a development directory that regularly exceeds 1gb per project because there are thousands of dependencies.

It’s not all doom and gloom, thankfully. There are tons of people making interesting, fun, and exciting content for the web. They’re just harder to find these days. And there *are* simple tools for building web applications (this blog is [built using one](https://11ty.dev/)), and I don’t *need* the libraries or Typescript to build apps, they’re just nice to have.
